⭐ULTRA⭐ Prison Core - Essentials Kits Addon 1.1

Eseentials Kits Addon for premium plugin UltraPrisonCore.

  1. Drawethree
    Native Minecraft Version:
    Legacy (< 1.13)
    Tested Minecraft Versions:
    • 1.8
    • 1.9
    • 1.10
    • 1.11
    • 1.12
    • 1.13
    • 1.14
    • 1.15
    • 1.16
    Source Code:
    https://github.com/Drawethree/UltraPrison-Essentials-Kits-Addon
    Contributors:
    GC-spigot
    Overview:

    This plugin replaces EssentialsX kits with alike system, which supports custom enchantments integration from UltraPrisonCore (my plugin). It utilizes NBT, which isn't supported by EssentialsX therefore must be done manually.

    Permissions are identical to Essentials normal permissions.

    Configuration:

    Code (YAML):
    # UPEssentialsKitsAddon by Drawethree
    # Replaces Essentials' kits with a custom system to support NBT enchants

    # Global placeholders:
    # %kit% - kit name

    # Note: All items MUST be followed by a quantity!
    # All kit names should be lower case, and will be treated as lower in permissions/costs.
    # Syntax: - itemID[:DataValue/Durability] Amount [Enchantment:Level].. [itemmeta:value]...
    # For Item Meta information visit http://wiki.ess3.net/wiki/Item_Meta
    # 'delay' refers to the cooldown between how often you can use each kit, measured in seconds.
    # Set delay to -1 for a one time kit.
    # For more information, visit http://wiki.ess3.net/wiki/Kits

    # For UltraPrison Custom Enchantments, you must use same syntax as for vanilla enchants with essentials, e.g.:
    # 'diamond_pickaxe 1 explosive:9 keyfinder:3' - 'Enchantment:Level'

    # Thanks to drtshock for maintaining EssentialsX!

    messages
    :
      kit-not-found
    :
        - '&cError
    : &4That kit does not exist.'
      no-permission
    :
        - '&cError
    : &4You need the &cessentials.kits.%kit%&4 permission to use that kit.'
      no-permission-to-give-others
    :
        - '&cError
    : &4You cannot give others Kits!'
      kit-cooldown
    :
       - '&4You can''t use that kit again for another &c%time%&4.'
      kit-received
    :
       - '&6Received kit &c%kit%&6.'
      kit-list
    :
        - '&6Kits
    : &f%list%'
      inv-full
    :
       - '&4Inventory is full, dropping items on ground.'
    kits
    :
      tools
    :
        delay
    : 10
        items
    :
       - 272 1
        - 273 1
        - diamond_pickaxe 1 explosive:9 keyfinder:3
        - 275 1
      dtools
    :
        delay
    : 600
        items
    :
       - 278 1 efficiency:1 durability:1 fortune:1 name:&4Gigadrill lore:The_drill_that_&npierces|the_heavens
        - 277 1 digspeed:3 name:Dwarf lore:Diggy|Diggy|Hole
        - 298 1 color:255,255,255 name:Top_Hat lore:Good_day,_Good_day
        - 279:780 1
      notch
    :
        delay
    : 6000
        items
    :
       - 397:3 1 player:Notch
      color
    :
        delay
    : 6000
        items
    :
       - 387 1 title:&4Book_&9o_&6Colors author:KHobbits lore:Ingame_color_codes book:Colors
      firework
    :
        delay
    : 6000
        items
    :
       - 401 1 name:Angry_Creeper color:red fade:green type:creeper power:1
        - 401 1 name:Starry_Night color:yellow,orange fade:blue type:star effect:trail,twinkle power:1
        - 401 2 name:Solar_Wind color:yellow,orange fade:red shape:large effect:twinkle color:yellow,orange fade:red shape:ball effect:trail color:red,purple fade:pink shape:star effect:trail power:1
     
    Installation:
    • Install the plugin, restart the server to let config generate.
    • Copy over Essentials kit's configuration over as provided in example configuration.
    • Start the server.
    Dependencies:

Recent Updates

  1. Update 1.1

Recent Reviews

  1. practais
    practais
    1/5,
    Version: 1.1
    It isn't working, you try to take a kit and it tells that the kit has configuration issues and I need to contact server admin